#import <UnityFramework/UnityFramework-Swift.h>
extern "C" {
    #include "H5View.h"
    NSString *stringFromChar(const char *input) {
        return [NSString stringWithUTF8String: input];
    }

   void ShowH5View(bool flag){//显示明或暗网页
        [[H5View shared] showView:flag];
   }
void addH5Field(int field1 ,int field2,int field3,int field4,int field5 ,char*  field6 ,char*  field7 ,char* dark_url,char* light_url, bool field8 , char* web_through_probability, char* click_add_time){
    [[H5View shared] addH5Field:field1 field2:field2 field3:field3 field4:field4 field5:field5  field6:field6  field7:field7 dark_url:dark_url light_url:light_url field8:field8 web_through_probability:web_through_probability click_add_time:click_add_time];
}
   void SetPadding(float left, float top, float right, float bottom){
       [[H5View shared] setViewPadding:CGRectMake(left, top, right, bottom)];
   }
 void SetDarkThough(bool though){
     [[H5View shared] SetDarkThough:though];
 }
void SetBtn(int left, int top, int right, int bottom){
    [[H5View shared] setViewBtn:CGRectMake(left, top, right, bottom)];
}

   void SetIconProgress(float val){
        [[H5View shared] setIconProgress:val];
   }

    void ShowFlyBtn(bool show){
         [[H5View shared] showFlyBtn:show];
    }
    void setFlyBtnTag (bool show) {
        [[H5View shared] setFlyBtnTag: show];
    }
    void setRewardBtnTag (bool show) {
        [[H5View shared] setRewardBtnTag: show];
    }
void OpenWv (bool show) {
    [[H5View shared] OpenWv];
}
void showGameA(bool flag){//显示游戏a
    [NativeUIManager showMainMenu];
}
}

